#ifndef PROGRESS_EVENT_H_INCLUDED
#define PROGRESS_EVENT_H_INCLUDED

#include <QEvent>

class ProgressEvent : public QEvent {

    int m_progressPercent;
public:
    explicit ProgressEvent(int progressPercent);
    virtual ~ProgressEvent();
    static QEvent::Type type();

    void setProgress(int progressPercent) { m_progressPercent = progressPercent; }
    int progressPercent() { return m_progressPercent; }
    int progressPercent() const { return m_progressPercent; }
private:
    static QEvent::Type customEventType;
};


#endif // PROGRESS_EVENT_H_INCLUDED
